Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.annotations.xml.mocker
Class IndexBuilder

    java.lang.Object
      org.hibernate.metamodel.source.annotations.xml.mocker.IndexBuilder

    public class IndexBuilder

extends Object

Method Summary
`org.jboss.jandex.ClassInfo` | `getClassInfo(org.jboss.jandex.DotName name)`
`Map<org.jboss.jandex.DotName,List<org.jboss.jandex.AnnotationInstance>>` | `getClassInfoAnnotationsMap(org.jboss.jandex.DotName name)`
`Map<org.jboss.jandex.DotName,List<org.jboss.jandex.AnnotationInstance>>` | `getIndexedAnnotations(org.jboss.jandex.DotName name)`
`org.jboss.jandex.ClassInfo` | `getIndexedClassInfo(org.jboss.jandex.DotName name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getIndexedAnnotations

    public Map<org.jboss.jandex.DotName,List<org.jboss.jandex.AnnotationInstance>> getIndexedAnnotations(org.jboss.jandex.DotName name)

### getClassInfoAnnotationsMap

    public Map<org.jboss.jandex.DotName,List<org.jboss.jandex.AnnotationInstance>> getClassInfoAnnotationsMap(org.jboss.jandex.DotName name)

### getClassInfo

    public org.jboss.jandex.ClassInfo getClassInfo(org.jboss.jandex.DotName name)

### getIndexedClassInfo

    public org.jboss.jandex.ClassInfo getIndexedClassInfo(org.jboss.jandex.DotName name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.